Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.strategy
Class ValidTimeAuditStrategy

    java.lang.Object
      org.hibernate.envers.strategy.ValidityAuditStrategy
          org.hibernate.envers.strategy.ValidTimeAuditStrategy

All Implemented Interfaces:
  AuditStrategy

Deprecated. use `ValidityAuditStrategy` instead.

    @Deprecated
    public class ValidTimeAuditStrategy

extends ValidityAuditStrategy

Deprecated Audit strategy class.

Field Summary
`static EnversMessageLogger` | `LOG` Deprecated.

Constructor Summary
`ValidTimeAuditStrategy()` Deprecated. Default constructor.

Method Summary

Methods inherited from class org.hibernate.envers.strategy.ValidityAuditStrategy
`addAssociationAtRevisionRestriction, addEntityAtRevisionRestriction, perform, performCollectionChange, setRevisionTimestampGetter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final EnversMessageLogger LOG

  Deprecated.

Constructor Detail

### ValidTimeAuditStrategy

    public ValidTimeAuditStrategy()

  Deprecated.
  Default constructor. Log a warn message that this class is deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.